Loading...
Searching...
No Matches
main.cpp File Reference
`#include <filesystem>`
`#include <seqan3/argument_parser/all.hpp>`
`#include <seqan3/core/debug_stream.hpp>`
`#include "estimate.hpp"`
`#include "ibf.hpp"`
`#include "shared.hpp"`

## Functions

void | add_parser_meta (seqan3::argument_parser &parser)
void | initialise_min_arguments (seqan3::argument_parser &parser, min_arguments &args)
void | initialise_arguments_ibf (seqan3::argument_parser &parser, estimate_ibf_arguments &ibf_args, size_t &num_hash, std::vector< double > &fpr)
void | parsing (seqan3::argument_parser &parser, min_arguments &args)
void | initialise_arguments_minimiser (seqan3::argument_parser &parser, minimiser_arguments &minimiser_args, std::vector< uint8_t > &cutoffs)
void | read_input_file_list (std::vector< std::filesystem::path > &sequence_files, std::filesystem::path input_file)
int | run_needle_count (seqan3::argument_parser &parser)
int | run_needle_count_genome (seqan3::argument_parser &parser)
int | run_needle_estimate (seqan3::argument_parser &parser)
int | run_needle_ibf (seqan3::argument_parser &parser)
int | run_needle_insert (seqan3::argument_parser &parser)
int | run_needle_ibf_min (seqan3::argument_parser &parser)
int | run_needle_insert_min (seqan3::argument_parser &parser)
int | run_needle_delete_bin (seqan3::argument_parser &parser)
int | run_needle_minimiser (seqan3::argument_parser &parser)
int | main (int argc, char const **argv)

## Variables

uint32_t | w_size
uint64_t | shape {}
uint64_t | se

## Function Documentation

## add_parser_meta()

void add_parser_meta | ( | seqan3::argument_parser & | parser | ) |

## initialise_arguments_ibf()

void initialise_arguments_ibf | ( | seqan3::argument_parser & | parser,
|  | estimate_ibf_arguments & | ibf_args,
|  | size_t & | num_hash,
|  | std::vector< double > & | fpr )

## initialise_arguments_minimiser()

void initialise_arguments_minimiser | ( | seqan3::argument_parser & | parser,
|  | minimiser_arguments & | minimiser_args,
|  | std::vector< uint8_t > & | cutoffs )

## initialise_min_arguments()

void initialise_min_arguments | ( | seqan3::argument_parser & | parser,
|  | min_arguments & | args )

## main()

int main | ( | int | argc,
|  | char const ** | argv )

## parsing()

void parsing | ( | seqan3::argument_parser & | parser,
|  | min_arguments & | args )

## read_input_file_list()

void read_input_file_list | ( | std::vector< std::filesystem::path > & | sequence_files,
|  | std::filesystem::path | input_file )

## run_needle_count()

int run_needle_count | ( | seqan3::argument_parser & | parser | ) |

## run_needle_count_genome()

int run_needle_count_genome | ( | seqan3::argument_parser & | parser | ) |

## run_needle_delete_bin()

int run_needle_delete_bin | ( | seqan3::argument_parser & | parser | ) |

## run_needle_estimate()

int run_needle_estimate | ( | seqan3::argument_parser & | parser | ) |

## run_needle_ibf()

int run_needle_ibf | ( | seqan3::argument_parser & | parser | ) |

## run_needle_ibf_min()

int run_needle_ibf_min | ( | seqan3::argument_parser & | parser | ) |

## run_needle_insert()

int run_needle_insert | ( | seqan3::argument_parser & | parser | ) |

## run_needle_insert_min()

int run_needle_insert_min | ( | seqan3::argument_parser & | parser | ) |

## run_needle_minimiser()

int run_needle_minimiser | ( | seqan3::argument_parser & | parser | ) |

## Variable Documentation

## se

uint64_t se

## shape

uint64_t shape {}

## w_size

uint32_t w_size